1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Plesk panel fail after upgrade from 9.5.2 to 10.0

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by Juan JoseS, Dec 12, 2010.

  1. Juan JoseS

    Juan JoseS New Pleskian

    19
    85%
    Joined:
    Jan 6, 2010
    Messages:
    10
    Likes Received:
    0
    Hi,

    Yesterday I try to upgrade plesk panel in CentOS 5 from 9.5.2 to 10.0.1, but received an error:

    --------------

    ERROR 1146 (42S02) at line 1: Table 'mysql.servers' doesn't exist
    => [exec error] 'init/grant_sql.sh' in 0.09 secs
    => [An error occurred while upgrade.]
    => [error on previous startup] Can't continue upgrade process
    Restarting SWsoft control panels server... stale pidfile. stale pidfile. [FALL]
    error: %post(hspc-release-3.3.3-10090110.i386) scriptlet failed, exit status 255
    Error: An error occurred during installation of packages.
    Attention! Your software might be inoperable.
    Please, contact product technical support.

    -----------

    Plesk does not work, I've tried to install from shell using /usr/local/psa/admin/bin/autoinstaller but always get an error and does not work.

    ---
    Trying to find psa database... version is 01080
    DATABASE ERROR!!!
    Previous product version is 9.5.3, but previous database
    version is 01080
    ---

    Any solution?

    Thanks in advance.
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,244
    Location:
    Novosibirsk, Russia
    Try to correct /usr/local/psa/version file to read Plesk 10.0.1 version, since database was already updated. For example:

    Then initiate postupgrade processes:

     
  3. Juan JoseS

    Juan JoseS New Pleskian

    19
    85%
    Joined:
    Jan 6, 2010
    Messages:
    10
    Likes Received:
    0
    Thanks but I have not worked.

    In /usr/local/psa/version I have a:

    9.5.2 CentOS 5 95100504.12

    I changed it to:

    10.0.1 CentOS 5 109101029.17

    Or

    10.0.0 CentOS 5 109101029.17


    But when I run /usr/local/psa/bootstrapper/pp10.8.0-bootstrapper/bootstrapper.sh repair


    I get the following error:


    ----


    ERROR while trying to execute SQL query, the query was: DELETE FROM mysql.user WHERE user = ''; FLUSH PRIVILEGES;
    Check the error reason(see log file: /tmp/pp10.8.0-bootstrapper.101213.08.30.log), fix and try again


    ===> Restoring database from backup /var/lib/psa/dumps/mysql.preupgrade.dump.gz


    **** Product repair failed.

    ***** problem report *****
    ERROR while trying to execute SQL query, the query was: DELETE FROM mysql.user WHERE user = ''; FLUSH PRIVILEGES;
    Check the error reason(see log file: /tmp/pp10.8.0-bootstrapper.101213.08.30.log), fix and try again

    -----
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,244
    Location:
    Novosibirsk, Russia
    I suggest you contact support team. Very difficult to fix it without access to your server for the further investigation.
     
  5. Juan JoseS

    Juan JoseS New Pleskian

    19
    85%
    Joined:
    Jan 6, 2010
    Messages:
    10
    Likes Received:
    0
    I've trying to create a support ticket using "Free Assistance for Paralles Plesk Panel 10" but I get an error:


    Please provide valid Parallels Plesk Panel 10 key number

    I have only the key for plesk 9.5 but I can not reinstall the version 9.5

    I have a dedicated server in OVH

    Thanks
     
  6. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,244
    Location:
    Novosibirsk, Russia
    Submit ticket about 9.x version that you can't upgrade it to 10.x
     
  7. Juan JoseS

    Juan JoseS New Pleskian

    19
    85%
    Joined:
    Jan 6, 2010
    Messages:
    10
    Likes Received:
    0
    But the ticket on the 9.x version is not free and I can not send it, and the problem has been to try to install version 10.

     
Loading...